Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 248250 - Provide 'Show only Tests' Filter for 'Find Usage'
Provide 'Show only Tests' Filter for 'Find Usage'
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
8.0.1
PC Linux
: P3 (vote)
: 8.1
Assigned To: Ralph Ruijs
issues@java
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-29 15:50 UTC by tomzi
Modified: 2014-12-17 05:11 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed Patch (6.13 KB, patch)
2014-11-20 13:24 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tomzi 2014-10-29 15:50:35 UTC
I'd often like to look in which tests certain methods are being used in order to find run them if I changed the behavior of this method.

Currently I get all usages and can only disable the listed tests, but I'd like to see only the tests. Please provide a Filter to only show the tests:
Maybe have to filter:
- Source filter (on/off)
- Test filter (on/off)


Product Version = NetBeans IDE 8.0.1 (Build 201408251540)
Operating System = Linux version 3.13.0-24-generic running on amd64
Java; VM; Vendor = 1.8.0_25
Runtime = Java HotSpot(TM) 64-Bit Server VM 25.25-b02
Comment 1 Ralph Ruijs 2014-11-20 13:24:16 UTC
Created attachment 150593 [details]
Proposed Patch

Added SOURCEFILE constant to JavaWhereUsedFilters.
Comment 2 Ralph Ruijs 2014-11-20 13:24:54 UTC
Please review attached patch. Thanks!
Comment 3 Ralph Ruijs 2014-12-15 07:48:16 UTC
Thanks for the review. Will integrate tomorrow.
Comment 4 Ralph Ruijs 2014-12-16 08:08:00 UTC
changeset:   6bb74d0e507f
user:        Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
date:        Tue Dec 16 09:05:50 2014 +0100
summary:     #248250 - Provide 'Show only Tests' Filter for 'Find Usage'
Comment 5 Quality Engineering 2014-12-17 05:11:23 UTC
Integrated into 'main-silver', will be available in build *201412170001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/6bb74d0e507f
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: #248250 - Provide 'Show only Tests' Filter for 'Find Usage'


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo